Skip to main content
POST
/
ramp
/
agreements
/
electronic-signature
Accept electronic signature consent
curl --request POST \
  --url https://api.etherfuse.com/ramp/agreements/electronic-signature \
  --header 'Content-Type: application/json' \
  --data '
{
  "presignedUrl": "https://devnet.etherfuse.com/onboarding?token=eyJhbGciOiJIUzI1NiIs..."
}
'
{
  "success": true,
  "acceptedAt": "2024-01-15T10:00:00Z",
  "agreementType": "customer_agreement"
}

Body

application/json

Payload containing a presigned URL for user authentication. The presigned URL serves as the authentication mechanism for the end user and contains cryptographically signed claims (customer ID, wallet public key, organization ID).

presignedUrl
string
required

Presigned URL obtained from POST /ramp/onboarding-url. This URL authenticates the end user and authorizes actions on their behalf.

Response

Electronic signature consent recorded

Response confirming an agreement has been recorded

success
boolean

Whether the agreement was successfully recorded

acceptedAt
string<date-time>

Timestamp when the agreement was accepted

agreementType
enum<string>

Type of agreement accepted

Available options:
electronic_signature,
terms_and_conditions,
customer_agreement